org.apache.lucene.misc

## Class HighFreqTerms

- java.lang.Object
- - org.apache.lucene.misc.HighFreqTerms

-     public class HighFreqTerms
      extends java.lang.Object

  `HighFreqTerms` class extracts terms and their frequencies out of an existing Lucene index.
  Version:
    $Id: HighFreqTerms.java 376393 2006-02-09 19:17:14Z otis $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `numTerms`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HighFreqTerms()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### numTerms

          public static final int numTerms

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HighFreqTerms

          public HighFreqTerms()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.